Subject: Re: [ietf-types] Review of draft-ietf-mmusic-media-loopback-18.txt

From: Gonzalo Camarillo <[email-masked]>
Date: Wed, 4 Apr 2012 15:01:31 +0300

Fixing the subject of the email.

Gonzalo

On 04/04/2012 1:26 PM, Miguel Garcia A wrote:
> Hi,
> 
> The MMUSIC working group is running the WGLC of 
> draft-ietf-mmusic-media-loopback-18.txt, available at:
> 
> http://datatracker.ietf.org/doc/draft-ietf-mmusic-media-loopback/
> 
> The draft registers 8 new media types. Please refer to Section 13.2 in 
> the draft:
> 
> http://tools.ietf.org/html/draft-ietf-mmusic-media-loopback-18#section-13.2
> 
> We will appreciate if you can review the registration and provide us with 
> comments.
> 
> Thanks,
> 
>   Miguel

---

From: "Miguel A. Garcia" <[email-masked]>
Date: Wed, 4 Apr 2012 12:26:56 +0200

Hi,

Thanks,

  Miguel
-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain

---

From: "Martin J. Dürst" <[email-masked]>
Date: Thu, 05 Apr 2012 15:19:19 +0900

Hello Miguel,

Please post the registration templates here. This gives you a *much* 
higher chance of getting good comments.

Regards,   Martin.

On 2012/04/04 19:26, Miguel A. Garcia wrote:
> We will appreciate if you can review the registration and provide us
> with comments.
>
> Thanks,
>
> Miguel

---

From: Hadriel Kaplan <[email-masked]>
Date: Thu, 5 Apr 2012 12:03:57 +0000

13.2.1    audio/encaprtp 
     
           To: [email-masked] 

           Subject: Registration of media type audio/encaprtp 

           Type name: audio 

           Subtype name: encaprtp 

           Required parameters:  
                rate:RTP timestamp clock rate, which is equal to the 
                sampling rate. The typical rate is 8000; other rates 
                may be specified.  
     
           Optional parameters: none 
     
           Encoding considerations: This media type is framed  
                binary data. 

           Security considerations: See Section 12 of this document. 
     
           Interoperability considerations: none 
     
           Published specification: This MIME type is described fully 
                within this document. 
     
           Applications which use this media type: Applications wishing 
                to monitor and ensure the quality of transport to the 
                edge of a given VoIP, Real-Time Text or Video Over IP 
                Service. 
     
           Additional information: none 
     
           Person & email address to contact for further information: 
     
                Kaynam Hedayat 
                EMail: [email-masked] 
     
           Intended usage: COMMON 
     
           Restrictions on usage: This media type depends on RTP 
                framing, and hence is only defined for transfer via 
                RTP. Transfer within other framing protocols is not 
                defined at this time.                       
     
           Author:  
                Kaynam Hedayat.  
     
           Change controller: IETF Audio/Video Transport working 
                group delegated from the IESG. 

 13.2.2    video/encaprtp 
     
           To: [email-masked] 
     
           Subject: Registration of media type video/encaprtp 
     
           Type name: video 
     
           Subtype name: encaprtp 
     
           Required parameters:  
                 
                rate:RTP timestamp clock rate, which is equal to the 
                sampling rate. The typical rate is 8000; other rates 
                may be specified.  

           Optional parameters: none 
     
           Encoding considerations: This media type is framed  
                binary data. 
     
           Security considerations: See Section 12 of this document. 
     
           Interoperability considerations: none 
     
           Published specification: This MIME type is described fully 
                within this document. 
     
           Applications which use this media type: Applications wishing 
                to monitor and ensure the quality of transport to the 
                edge of a given VoIP, Real-Time Text or Video Over IP 
                Service. 
     
           Additional information: none 
     
           Person & email address to contact for further information: 
     
                Kaynam Hedayat 
                EMail: [email-masked] 
     
           Intended usage: COMMON 
     
           Restrictions on usage: This media type depends on RTP 
                framing, and hence is only defined for transfer via 
                RTP. Transfer within other framing protocols is not 
                defined at this time.                       
     
           Author:  
                Kaynam Hedayat.  
     
           Change controller: IETF Audio/Video Transport working 
                group delegated from the IESG. 

 13.2.3    text/encaprtp 
     
           To: [email-masked] 
     
           Subject: Registration of media type text/encaprtp 
     
           Type name: text 
     
           Subtype name: encaprtp 

           Required parameters:  
                 
                rate:RTP timestamp clock rate, which is equal to the 
                sampling rate. The typical rate is 8000; other rates 
                may be specified.  
     
           Optional parameters: none 
     
           Encoding considerations: This media type is framed  
                binary data. 
     
           Security considerations: See Section 12 of this document. 
     
           Interoperability considerations: none 
     
           Published specification: This MIME type is described fully 
                within this document. 
     
           Applications which use this media type: Applications wishing 
                to monitor and ensure the quality of transport to the 
                edge of a given VoIP, Real-Time Text or Video Over IP 
                Service. 
     
           Additional information: none 
     
           Person & email address to contact for further information: 
     
                Kaynam Hedayat 
                EMail: [email-masked] 
     
           Intended usage: COMMON 
     
           Restrictions on usage: This media type depends on RTP 
                framing, and hence is only defined for transfer via 
                RTP. Transfer within other framing protocols is not 
                defined at this time.                       
     
           Author:  
                Kaynam Hedayat.  
     
           Change controller: IETF Audio/Video Transport working 
                group delegated from the IESG. 

 13.2.4    application/encaprtp 
     
           To: [email-masked] 

           Subject: Registration of media type 
                application/encaprtp 
     
           Type name: application 
     
           Subtype name: encaprtp 
     
           Required parameters:  
                 
                rate:RTP timestamp clock rate, which is equal to the 
                sampling rate. The typical rate is 8000; other rates 
                may be specified.  
     
           Optional parameters: none 
     
           Encoding considerations: This media type is framed  
                binary data. 
     
           Security considerations: See Section 12 of this document. 
     
           Interoperability considerations: none 
     
           Published specification: This MIME type is described fully 
                within this document. 
     
           Applications which use this media type: Applications wishing 
                to monitor and ensure the quality of transport to the 
                edge of a given VoIP, Real-Time Text or Video Over IP 
                Service. 
     
           Additional information: none 
     
           Person & email address to contact for further information: 
     
                Kaynam Hedayat 
                EMail: [email-masked] 
     
           Intended usage: COMMON 
     
           Restrictions on usage: This media type depends on RTP 
                framing, and hence is only defined for transfer via 
                RTP. Transfer within other framing protocols is not 
                defined at this time.                       
     
           Author:  
                Kaynam Hedayat.  
     
           Change controller: IETF Audio/Video Transport working 
                group delegated from the IESG. 

 13.2.5    audio/rtploopback 
     
           To: [email-masked] 
     
           Subject: Registration of media type audio/rtploopback 
     
           Type name: audio 
     
           Subtype name: rtploopback 
     
           Required parameters:  
                 
                rate:RTP timestamp clock rate, which is equal to the 
                sampling rate. The typical rate is 8000; other rates 
                may be specified.  
     
           Optional parameters: none 
     
           Encoding considerations: This media type is framed  
                binary data. 
     
           Security considerations: See Section 12 of this document. 
     
           Interoperability considerations: none 
     
           Published specification: This MIME type is described fully 
                within this document. 
     
           Applications which use this media type: Applications wishing 
                to monitor and ensure the quality of transport to the 
                edge of a given VoIP, Real-Time Text or Video Over IP 
                Service. 
     
           Additional information: none 
     
           Person & email address to contact for further information: 
     
                Kaynam Hedayat 
                EMail: [email-masked] 
     
           Intended usage: COMMON 
     
           Restrictions on usage: This media type depends on RTP 
                framing, and hence is only defined for transfer via 
                RTP. Transfer within other framing protocols is not 
                defined at this time.                       
     
           Author:  
                Kaynam Hedayat.  
     
           Change controller: IETF Audio/Video Transport working 
                group delegated from the IESG. 
     
 13.2.6    video/rtploopback 
     
           To: [email-masked] 
     
           Subject: Registration of media type video/rtploopback 
     
           Type name: video 
     
           Subtype name: rtploopback 
     
           Required parameters:  
                 
                rate:RTP timestamp clock rate, which is equal to the 
                sampling rate. The typical rate is 8000; other rates 
                may be specified.  
     
           Optional parameters: none 
     
           Encoding considerations: This media type is framed  
                binary data. 
     
           Security considerations: See Section 12 of this document. 
     
           Interoperability considerations: none 
     
           Published specification: This MIME type is described fully 
                within this document. 
     
           Applications which use this media type: Applications wishing 
                to monitor and ensure the quality of transport to the 
                edge of a given VoIP, Real-Time Text or Video Over IP 
                Service. 
     
           Additional information: none 
     
           Person & email address to contact for further information: 
     
                Kaynam Hedayat 
                EMail: [email-masked] 
     
           Intended usage: COMMON 
     
           Restrictions on usage: This media type depends on RTP 
                framing, and hence is only defined for transfer via 
                RTP. Transfer within other framing protocols is not 
                defined at this time.                       
     
           Author:  
                Kaynam Hedayat.  
     
           Change controller: IETF Audio/Video Transport working 
                group delegated from the IESG. 

 13.2.7    text/rtploopback 
     
           To: [email-masked] 
     
           Subject: Registration of media type text/rtploopback 
     
           Type name: text 
     
           Subtype name: rtploopback 
     
           Required parameters:  
                 
                rate:RTP timestamp clock rate, which is equal to the 
                sampling rate. The typical rate is 8000; other rates 
                may be specified.  
     
           Optional parameters: none 
     
           Encoding considerations: This media type is framed  
                binary data. 
     
           Security considerations: See Section 12 of this document. 
     
           Interoperability considerations: none 
     
           Published specification: This MIME type is described fully 
                within this document. 
     
           Applications which use this media type: Applications wishing 
                to monitor and ensure the quality of transport to the 
                edge of a given VoIP, Real-Time Text or Video Over IP 
                Service. 
     
           Additional information: none 
     
           Person & email address to contact for further information: 
     
                Kaynam Hedayat 
                EMail: [email-masked] 

           Intended usage: COMMON 
     
           Restrictions on usage: This media type depends on RTP 
                framing, and hence is only defined for transfer via 
                RTP. Transfer within other framing protocols is not 
                defined at this time.                       
     
           Author:  
                Kaynam Hedayat.  
     
           Change controller: IETF Audio/Video Transport working 
                group delegated from the IESG. 

 13.2.8    application/rtploopback 
     
           To: [email-masked] 
     
           Subject: Registration of media type 
                application/rtploopback 
     
           Type name: application 
     
           Subtype name: rtploopback 
     
           Required parameters:  
                 
                rate:RTP timestamp clock rate, which is equal to the 
                sampling rate. The typical rate is 8000; other rates 
                may be specified.  
     
           Optional parameters: none 
     
           Encoding considerations: This media type is framed  
                binary data. 
     
           Security considerations: See Section 12 of this document. 
     
           Interoperability considerations: none 
     
           Published specification: This MIME type is described fully 
                within this document. 
     
           Applications which use this media type: Applications wishing 
                to monitor and ensure the quality of transport to the 
                edge of a given VoIP, Real-Time Text or Video Over IP 
                Service. 

           Additional information: none 
     
           Person & email address to contact for further information: 
     
                Kaynam Hedayat 
                EMail: [email-masked] 
     
           Intended usage: COMMON 
     
           Restrictions on usage: This media type depends on RTP 
                framing, and hence is only defined for transfer via 
                RTP. Transfer within other framing protocols is not 
                defined at this time.                       
     
           Author:  
                Kaynam Hedayat.  
     
           Change controller: IETF Audio/Video Transport working 
                group delegated from the IESG. 

On Apr 5, 2012, at 2:19 AM, Martin J. Dürst wrote:

> Hello Miguel,
> 
> Please post the registration templates here. This gives you a *much* higher chance of getting good comments.
> 
> Regards,   Martin.
>

---

From: Bjoern Hoehrmann <[email-masked]>
Date: Fri, 06 Apr 2012 01:30:50 +0200

>           Encoding considerations: This media type is framed  

This should just say "framed".

>           Published specification: This MIME type is described fully 

It might be better to use just "this document" or "RFC XXXX". Note the
inconsistency in nomenclature, above you have "media type" and here you
have "MIME type", at least that should be fixed.

>                EMail: [email-masked] 

The typical rendering is `Name <[email-masked]>`.

>           Intended usage: COMMON 

My impression is that RTP-only types typically use LIMITED USE, but I
might be mistaken about that.
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: Miguel Garcia A <[email-masked]>
Date: Fri, 6 Apr 2012 13:38:39 +0200

Thank you Björn for your review. Please Hadriel, consider Björn 's comments for the next version of the document.

/Miguel
________________________________________
From: Bjoern Hoehrmann [[email-masked]]
Sent: Friday, April 06, 2012 1:30 AM
To: Hadriel Kaplan
Cc: Martin J. Dürst; [email-masked]; Miguel Garcia A; Flemming Andreasen; Gonzalo Camarillo; Robert Sparks
Subject: Re: [ietf-types] Review of

---

From: Hadriel Kaplan <[email-masked]>
Date: Fri, 6 Apr 2012 12:16:48 +0000

Yup, will do!
Thanks,

-hadriel

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 10 Apr 2012 10:07:33 +0200

> might be mistaken about that.

I think you are wrong Bjoern, most have been using Common:

I looked at the five RFC published by the Payload WG and the following
RFCs use common and are RTP payload formats:

RFC6190
RFC6262
RFC6295
RFC6416
RFC6469

All of these used common.

Cheers

Magnus Westerlund

----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------